- Extending Qt Creator Manual
- QtCreator
- Action
- Extending Qt Creator Manual 13.0.0

# Action Class

class Utils::Action

The Action class is intended for actions that act on a 'current', string-type parameter (typically a file name), for example 'Save file %1'. More...

Header: | #include <Action>

- List of all members, including inherited members

## Public Functions

QString | emptyText() const
Utils::Action::EnablingMode | enablingMode() const
QString | parameterText() const
void | setEmptyText(const QString &)
void | setEnablingMode(Utils::Action::EnablingMode m)
void | setParameterText(const QString &)

## Detailed Description

The action has 2 states:

- <no current parameter> displaying "Do XX" (empty text)
- <parameter present> displaying "Do XX with %1".

Provides a slot to set the parameter, changing display and enabled state accordingly. The text passed in should already be translated; parameterText should contain a %1 where the parameter is to be inserted.